Method: projects.locations.deliveryPipelines.releases.promote

Promotes a Release in the Delivery Pipeline.

HTTP request

POST https://clouddeploy.googleapis.com/v1/{name=projects/*/locations/*/deliveryPipelines/*/releases/*}:promote

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The Release being promoted. Format is projects/{projectId}/locations/{location_name}/deliveryPipelines/{pipeline_name}/release/{release_name}.

Request body

The request body contains data with the following structure:

JSON representation
{
  "toTarget": string,
  "destinationTarget": string,
  "rolloutId": string,
  "annotations": {
    string: string,
    ...
  },
  "labels": {
    string: string,
    ...
  }
}
Fields
toTarget

string

Optional. The name of the Target to which we are promoting the Release.

destinationTarget

string

Optional. The name of the Target to which we are promoting the Release.

rolloutId

string

Optional. The ID to assign to the generated Rollout.

annotations

map (key: string, value: string)

Optional. User annotations to place on the created Rollout. These attributes can only be set and used by the user, and not by Cloud Deploy. See https://google.aip.dev/128#annotations for more details such as format and size limitations.

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

labels

map (key: string, value: string)

Optional. Labels to be placed on the created Rollout. Labels are attributes that can be set and used by both the user and by Cloud Deploy. Labels must meet the following constraints: Each resource is limited to 64 labels. Keys must conform to the regexp: [a-zA-Z][a-zA-Z0-9_-]{0,62} Values must conform to the regexp: [a-zA-Z0-9_-]{0,63} Both keys and values are additionally constrained to be <= 128 bytes in size.

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

Response body

If successful, the response body contains data with the following structure:

The response object from releases.promote.

JSON representation
{
  "release": string,
  "rollout": {
    object (Promotion)
  },
  "rolloutResource": string,
  "target": string,
  "operation": string
}
Fields
release

string

The Release being deployed.

rollout

object (Promotion)

Rollout that was created from this promotion.

rolloutResource

string

The name of the Rollout that is being deployed.

target

string

The name of the Target to which is being deployed.

operation

string

The name of the operation that is tracking the Rollout creation.

Authorization Scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

Promotion

Details around a Release promotion.

JSON representation
{
  "target": string,
  "rollout": string,
  "operation": string
}
Fields
target

string

The name of the Target to which is being deployed.

rollout

string

The name of the Rollout that is being deployed.

operation

string

The name of the operation that is tracking the Rollout creation.